package com.zd.system.api.laboratory.domain;

import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 管控执行记录详情对象 lab_grade_manage_record_detail
 *
 * @author liubo
 * @date 2022-02-10
 */
@ApiModel("管控执行记录详情")
public class LabGradeManageRecordDetail extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /**
     * 执行记录ID
     */
    @Excel(name = "执行记录ID")
    @ApiModelProperty(value = "执行记录ID")
    private Long manageRecordId;
    /**
     * 执行上传材料（多个逗号分隔）
     */
    @Excel(name = "执行上传材料", readConverterExp = "多=个逗号分隔")
    @ApiModelProperty(value = "执行上传材料")
    private String imgUrl;

    @ApiModelProperty(value = "材料名称")
    private String imgName;

    @ApiModelProperty(value = "材料类型")
    private String imgType;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setManageRecordId(Long manageRecordId) {
        this.manageRecordId = manageRecordId;
    }

    public Long getManageRecordId() {
        return manageRecordId;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public String getImgName() {
        return imgName;
    }

    public void setImgName(String imgName) {
        this.imgName = imgName;
    }

    public String getImgType() {
        return imgType;
    }

    public void setImgType(String imgType) {
        this.imgType = imgType;
    }
}
